<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


include("../conf/preferences.php");
session_name(SYS_APP_SESSNAME);
session_start();
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/MAIN.php");
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/XHR.core.php");
include("../conf/connections.php");
include("../phplib/auth.php");
require_once("../phplib/utils.php");
require_once("../core/plugins.php");
require_once("../sanmarko/Activos.class.php");
$activos=new Activos();

$resId=$_REQUEST['resId'];
if(isset($_REQUEST['parentId'])) $parentId=$_REQUEST['parentId'];
$conf=simplexml_load_file("../conf/resources/".$langs[$_SESSION['userlang']][0]."/".$_SESSION['conf'][$resId]->masterview);
$accion=$_REQUEST['action'];

$obj=NULL;		
$result="";		

switch($accion){
	case "clear_events":
		$errores='';
		$sql="SELECT * FROM smk_valores WHERE idActivo=$parentId LIMIT 0,1";
		$q=mysql_query($sql);
		$f=mysql_fetch_assoc($q);
		$activos->recordset=$f;
		$activos->getAmort0(TRUE);
		if($errores==''){
			$obj->result="ok";
			$obj->msg="OK";
		}else{
			$obj->result="ko";
			$obj->msg=$errores;
		}
		$result=json_encode($obj);
		break;
}
echo $result;
?>